#pragma once
#include <string>
#include <iostream>

struct cords2 {
	cords2(): x(0), y(0) {};
	cords2(short x, short y): x(x), y(y) {};
	short x;
	short y;
};

struct cords3 {
	cords3(): x(0), y(0), z(0) {};
	cords3(short x, short y, short z): x(x), y(y), z(z) {};
	short x;
	short y;
	short z;
};

std::string removeSpaces(std::string str);
std::string removeWhitespace(std::string str);
void _thread_wait_for_str_cin(bool &done, std::string &text);
void _thread_wait_for_str_getline(bool& done, std::string& text);
short fieldToRelPos(short color, short field);
short relPosToField(short color, short relPos);
short getPawnInitialPosition(short color, short pawnNumber);
cords3 color2RGBOutline(short color);
cords3 color2RGBFiller(short color);
cords2 fieldToXY(short field);
short XYToField(short x, short y);
